package cn.quant.baa.pay.dict;

/**
 * Created by Administrator on 2021/8/24 0024.
 */
public enum MessageEnum {
    EMPTY_REQ_DATA("2000000"),
    ILLEGAL_REQ_SUBJECT("2000000"),
    ILLEGAL_REQ_MCH_ID("2000000"),
    ILLEGAL_REQ_CHAN_ID("2000000"),
    ILLEGAL_REQ_BUYER_ID("2000000"),
    ILLEGAL_REQ_INST_ID("2000000"),
    ILLEGAL_REQ_PROD_ID("2000000"),
    ILLEGAL_REQ_OUT_TRADE_NO("2000000"),
    ILLEGAL_REQ_ORIG_AMT("2000000"),
    ILLEGAL_REQ_AMT("2000000"),
    ILLEGAL_REQ_DISC_AMT("2000000"),
    ILLEGAL_REQ_CASH_AMT("2000000"),
    ILLEGAL_REQ_CREDIT_AMT("2000000"),
    ILLEGAL_REQ_GOODS_NO("2000000"),
    ILLEGAL_REQ_GOODS_NAME("2000000"),
    ILLEGAL_REQ_GOODS_QUANTITY("2000000"),
    ILLEGAL_REQ_GOODS_PRICE("2000000"),
    ILLEGAL_REQ_GOODS_DISC("2000000"),
    ILLEGAL_REQ_GOODS_AMT("2000000"),
    ILLEGAL_REQ_GOODS_ATTACH("2000000"),

    EXIST_ORDER("300"),

    ACQUIRER_NOSUCH("2000000"),
    ACQUIRER_NOMATCH("2000000"),
    ;
    public final String code;

    MessageEnum(String code) {
        this.code = code;
    }
}
